Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.widget.netvibes.json
Class JSONObjectWrapper

    java.lang.Object
      org.jboss.portal.widget.netvibes.json.JSONObject
          org.jboss.portal.widget.netvibes.json.JSONObjectWrapper

    public class JSONObjectWrapper

extends JSONObject

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Field Summary

Fields inherited from class org.jboss.portal.widget.netvibes.json.JSONObject
`NULL`

Constructor Summary
`JSONObjectWrapper(JSONObject o)`
`JSONObjectWrapper(java.lang.String string)`

Method Summary
`boolean` | `getBoolean(java.lang.String key)` Get the boolean value associated with a key.
`int` | `getInt(java.lang.String key)` Get the int value associated with a key.
`java.lang.String` | `getString(java.lang.String key)` Get the string associated with a key.

Methods inherited from class org.jboss.portal.widget.netvibes.json.JSONObject
`accumulate, append, doubleToString, get, getDouble, getJSONArray, getJSONObject, getLong, getNames, getNames, has, isNull, keys, length, names, numberToString, opt, optBoolean, optBoolean, optDouble, optDouble, optInt, optInt, optJSONArray, optJSONObject, optLong, optLong, optString, optString, put, put, put, put, put, put, put, putOpt, quote, remove, toJSONArray, toString, toString, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSONObjectWrapper

    public JSONObjectWrapper(java.lang.String string)
                      throws JSONException

Throws:
  `JSONException`

### JSONObjectWrapper

    public JSONObjectWrapper(JSONObject o)
                      throws JSONException

Throws:
  `JSONException`

Method Detail

### getString

    public java.lang.String getString(java.lang.String key)

  Description copied from class: `JSONObject`
  Get the string associated with a key.

  Overrides:
    `getString` in class `JSONObject`
  Parameters:
    `key` - A key string.
  Returns:
    A string which is the value.

### getBoolean

    public boolean getBoolean(java.lang.String key)
                       throws JSONException

  Description copied from class: `JSONObject`
  Get the boolean value associated with a key.

  Overrides:
    `getBoolean` in class `JSONObject`
  Parameters:
    `key` - A key string.
  Returns:
    The truth.
  Throws:
    `JSONException` - if the value is not a Boolean or the String "true" or "false".

### getInt

    public int getInt(java.lang.String key)

  Description copied from class: `JSONObject`
  Get the int value associated with a key. If the number value is too large for an int, it will be clipped.

  Overrides:
    `getInt` in class `JSONObject`
  Parameters:
    `key` - A key string.
  Returns:
    The integer value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD